'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createMany = exports.createSingle = undefined;

var _parseModel = require('./parse-model');

var _parseModel2 = _interopRequireDefault(_parseModel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createSingle = exports.createSingle = function createSingle(_ref) {
  var model = _ref.model;

  return Object.assign({}, (0, _parseModel2.default)(model));
};

var createMany = exports.createMany = function createMany(_ref2) {
  var model = _ref2.model,
      amount = _ref2.amount;

  return Array.from({ length: amount }).map(function () {
    return createSingle({ model: model });
  });
};

exports.default = function (_ref3) {
  var model = _ref3.model,
      amount = _ref3.amount;

  // Generate a single instance or a list
  return amount === 1 ? createSingle({ model: model }) : createMany({ model: model, amount: amount });
};